सामग्री पर जाएँ

Image Editing Object Removal

इंटीग्रेट करें

मॉडल id image-editing/object-removal
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-editing/object-removal?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.04 40 API क्रेडिट · ≈ ₽4.22 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Utility इमेज एडिटिंग #stylized#transform

हटाई जाने वाली चीज़ का वर्णन करने वाले टेक्स्ट प्रॉम्प्ट के निर्देश पर फ़ोटो से नामित वस्तुओं या लोगों को मिटाता है

Utility · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

डिफ़ॉल्ट background people

इमेज से हटाई जाने वाली ऑब्जेक्ट्स।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

omni मॉडल को प्रॉम्प्ट देने के लिए उपयोग की जाने वाली इमेज।

aspect_ratio

परिणामी इमेज का आस्पेक्ट रेशियो।

उन्नत safety_tolerance · output_format · guidance_scale · num_inference_steps · seed
safety_tolerance डिफ़ॉल्ट 2

जनरेट की गई इमेज के लिए सुरक्षा सेटिंग: सबसे कम प्रतिबंध वाले फ़िल्टरिंग के लिए 6 या सबसे सख्त के लिए 1 चुनें।

output_format डिफ़ॉल्ट jpeg

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

डिफ़ॉल्ट 3.5

इमेज चयन के लिए प्रॉम्प्ट-अनुरूपता की शक्ति, CFG (Classifier Free Guidance) के रूप में व्यक्त।

डिफ़ॉल्ट 30

सैंपलिंग के दौरान इस्तेमाल किए गए इनफ़रेंस स्टेप्स की संख्या।

दोहराए जा सकने वाले इमेज निर्माण के लिए seed: मॉडल संस्करण अपरिवर्तित होने पर समान प्रॉम्प्ट और seed से समान इमेज बनती है।

POST /run/image-editing/object-removal?wait=20 कोटेशन → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-editing/object-removal?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Image Editing Object Removal के बारे में

`image_url` से अनचाहे तत्व हटाता है और बैकग्राउंड भर देता है। `prompt` में हटाई जाने वाली चीज़ का नाम दिया जाता है और डिफ़ॉल्ट रूप से "background people" रहता है। आप `guidance_scale`, `num_inference_steps` (1 से 50), आउटपुट फ़ॉर्मैट (jpeg या png), `aspect_ratio` और `seed` भी सेट कर सकते हैं।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
omni मॉडल को प्रॉम्प्ट देने के लिए उपयोग की जाने वाली इमेज।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट3.5
0 – 20
इमेज चयन के लिए प्रॉम्प्ट-अनुरूपता की शक्ति, CFG (Classifier Free Guidance) के रूप में व्यक्त।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट30
1 – 50
सैंपलिंग के दौरान इस्तेमाल किए गए इनफ़रेंस स्टेप्स की संख्या।
safety_toleranceवैकल्पिक
प्रकारenum
डिफ़ॉल्ट2
123456
जनरेट की गई इमेज के लिए सुरक्षा सेटिंग: सबसे कम प्रतिबंध वाले फ़िल्टरिंग के लिए 6 या सबसे सख्त के लिए 1 चुनें।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टjpeg
jpegpng
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
aspect_ratioवैकल्पिक
प्रकारenum
21:916:94:33:21:12:33:49:169:21
परिणामी इमेज का आस्पेक्ट रेशियो।
seedवैकल्पिक
प्रकारinteger | null
दोहराए जा सकने वाले इमेज निर्माण के लिए seed: मॉडल संस्करण अपरिवर्तित होने पर समान प्रॉम्प्ट और seed से समान इमेज बनती है।
promptवैकल्पिक
प्रकारstring
डिफ़ॉल्टbackground people
इमेज से हटाई जाने वाली ऑब्जेक्ट्स।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-editing/object-removal",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}
seed
integer

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/image-editing/object-removal.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt